cassandra-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paulo Motta <pauloricard...@gmail.com>
Subject Re: migrating from 2.1.2 to 3.0.8 log errors
Date Wed, 10 Aug 2016 20:26:10 GMT
Another thing to note is that according to NEWS.txt upgrade from 2.1.x is
only supported from version 2.1.9, so if this is not an effect of that I'm
actually surprised upgrade from 2.1.2 worked without any issues.

2016-08-10 15:48 GMT-03:00 Tyler Hobbs <tyler@datastax.com>:

> That just means that a client/driver disconnected.  Those log messages are
> supposed to be suppressed, but perhaps that stopped working in 3.x due to
> another change.
>
> On Wed, Aug 10, 2016 at 10:33 AM, Adil <adil.chabaq@gmail.com> wrote:
>
>> Hi guys,
>> We have migrated our cluster (5 nodes in DC1 and 5 nodes in DC2) from
>> cassandra 2.1.2 to 3.0.8, all seems fine, executing nodetool status shows
>> all nodes UN, but in each node's log there is this log error continuously:
>> java.io.IOException: Error while read(...): Connection reset by peer
>> at io.netty.channel.epoll.Native.readAddress(Native Method)
>> ~[netty-all-4.0.23.Final.jar:4.0.23.Final]
>> at io.netty.channel.epoll.EpollSocketChannel$EpollSocketUnsafe.
>> doReadBytes(EpollSocketChannel.java:675) ~[netty-all-4.0.23.Final.jar:4
>> .0.23.Final]
>> at io.netty.channel.epoll.EpollSocketChannel$EpollSocketUnsafe.
>> epollInReady(EpollSocketChannel.java:714) ~[netty-all-4.0.23.Final.jar:4
>> .0.23.Final]
>> at io.netty.channel.epoll.EpollEventLoop.processReady(EpollEventLoop.java:326)
>> ~[netty-all-4.0.23.Final.jar:4.0.23.Final]
>> at io.netty.channel.epoll.EpollEventLoop.run(EpollEventLoop.java:264)
>> ~[netty-all-4.0.23.Final.jar:4.0.23.Final]
>> at io.netty.util.concurrent.SingleThreadEventExecutor$2.run(
>> SingleThreadEventExecutor.java:116) ~[netty-all-4.0.23.Final.jar:4
>> .0.23.Final]
>> at io.netty.util.concurrent.DefaultThreadFactory$DefaultRunnabl
>> eDecorator.run(DefaultThreadFactory.java:137)
>> ~[netty-all-4.0.23.Final.jar:4.0.23.Final]
>> at java.lang.Thread.run(Thread.java:745) [na:1.8.0_101]
>>
>> we have installed java-8_101
>>
>> anya idea what woud be the problem?
>>
>> thanks
>>
>> Adil
>> does anyone
>>
>>
>
>
> --
> Tyler Hobbs
> DataStax <http://datastax.com/>
>

Mime
View raw message